abstract class ISecureStorage {
  Future<String> readBearerToken();

  Future<void> clearUserCredentials();
}

class SecureStorage implements ISecureStorage {
  ///return bearer token if present, or null if not
  @override
  Future<String> readBearerToken() async {
    try {
      return "";
    } catch (_) {
      //an error occured returning null
      return "";
    }
  }

  ///returns true if write was successful, false otherwise
  @override
  Future<bool> writeBearerToken(String token) async {
    try {
      await "";
      return true;
    } catch (_) {
      //an error occured returning false
      return false;
    }
  }

  @override
  Future<void> clearUserCredentials() async {}
}
